Support » Plugin: JM Twitter Cards » Error while using NexGen Gallery

Viewing 13 replies - 1 through 13 (of 13 total)
  • davide

    (@davidemetupit)

    Thanks a lot,
    Davide

    Plugin Author tweetpressfr

    (@jmlapam)

    Ho can’t reproduce that bug. Can you give more details? I mean where it happens? Only on nestgen menu pages?

    davide

    (@davidemetupit)

    If you go on post screen and press NextGen “Attach To Post” Button, you’ll see an overlay for gallery / photo embedding. With JM Twitter Cards active, that screen is replaced by the message:

    Fatal error: Class ‘JM_TC_Tabs’ not found in /home/davide/apps/velvetnetwork/new-version-merge/wp-content/plugins/jm-twitter-cards/jm-twitter-cards.php on line 192

    Other infos?
    Thanks a lot
    Dave

    Plugin Author tweetpressfr

    (@jmlapam)

    Hi, I’m running the nextgen plugin (latest version] with my plugin and I do not get this error.

    Could you just upgrade nextgen and see if it works? If not try the current github version of JM Twitter Cards.

    davide

    (@davidemetupit)

    Nope..
    Even if I update NextGen Gallery to 2.0.65, NextGen Pro to 1.0.17 and JM Twitter Cards to latest Master from GitHub, I get the same error “Fatal error: Class ‘JM_TC_Tabs’ not found in /home/davide/apps/velvetnetwork/wp-content/plugins/jm-twitter-cards/jm-twitter-cards.php on line 194” (line has changed)
    in the Attach-to-post overlay instead of NextGen options 🙁

    PS. WordPress is already 3.9.1

    davide

    (@davidemetupit)

    I debugged a little bit, I try to explain results:

    In NextGen overlay, is_admin() at row 72 of jm-twitter-cards.php returns false, while is_admin() at row 191 (in the if, in jm_tc_init() function) returns true, so tabs.php has not included while JM_TC_Tabs is loaded,

    I hope this helps,
    Davide

    PS. jm-tc version is 5.2.3

    Plugin Author tweetpressfr

    (@jmlapam)

    I’ll look into it for the next version. I’ll fix it on trunk ASAP on github.

    Plugin Author tweetpressfr

    (@jmlapam)

    Hum… I used a conditional tag outside a context which could be the reason for this bug.

    davide

    (@davidemetupit)

    Noouu… Error only moved forward..

    Fatal error: Class 'JM_TC_Tabs' not found in wp-content/plugins/jm-twitter-cards/jm-twitter-cards.php on line 205

    (v. 5.2.7)

    Plugin Author tweetpressfr

    (@jmlapam)

    Hi,

    The more details you give the faster it will be fixed. Will work on this when I got time.

    davide

    (@davidemetupit)

    I don’t know if it’s the wrong way,
    I tried to encapsulate //Call modules section in

    add_action('plugins_loaded', 'jm_tc_init_2');
    function jm_tc_init_2()

    and it seems to be fixed,

    davide

    (@davidemetupit)

    You know plugin better than me 🙂

    Thank you

    Plugin Author tweetpressfr

    (@jmlapam)

    5.2.8 should fix this issue. I was actually testing admin page instead of post edit with the NGG button. No chance to find the bug ^^

    Should be better now.

Viewing 13 replies - 1 through 13 (of 13 total)
  • The topic ‘Error while using NexGen Gallery’ is closed to new replies.